# eric4.QScintilla.Lexers.LexerIDL

Module implementing an IDL lexer with some additional methods.

### Classes

LexerIDL | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerIDL

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerIDL, Lexer

### Methods

LexerIDL | Constructor
initProperties | Public slot to initialize the properties.

#### LexerIDL (Constructor)

LexerIDL(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerIDL.initProperties

initProperties()

Public slot to initialize the properties.

Up